Skip to content

# Class: WebLink

Common.Catalog.WebLink

## Hierarchy

- CatalogEntity<CatalogEntityMetadata, WebLinkStatus, WebLinkSpec>

↳ WebLink

## Table of contents

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- spec
- status

### Methods

- getId
- getName
- onContextMenuOpen
- onRun
- onSettingsOpen

## Constructors

### constructor

• new WebLink(`data`)

#### Parameters

Name | Type
--- | ---
`data` | CatalogEntityData<CatalogEntityMetadata, WebLinkStatus, WebLinkSpec>

#### Inherited from

CatalogEntity.constructor

## Properties

### apiVersion

• `Readonly` apiVersion: `"entity.k8slens.dev/v1alpha1"`

#### Overrides

CatalogEntity.apiVersion

### kind

• `Readonly` kind: `"WebLink"`

#### Overrides

CatalogEntity.kind

### metadata

• metadata: CatalogEntityMetadata

#### Inherited from

CatalogEntity.metadata

### spec

• spec: WebLinkSpec

#### Inherited from

CatalogEntity.spec

### status

• status: WebLinkStatus

#### Inherited from

CatalogEntity.status

## Methods

### getId

▸ getId(): `string`

#### Returns

`string`

#### Inherited from

CatalogEntity.getId

### getName

▸ getName(): `string`

#### Returns

`string`

#### Inherited from

CatalogEntity.getName

### onContextMenuOpen

▸ onContextMenuOpen(`context`): `Promise`<void>

#### Parameters

Name | Type
--- | ---
`context` | CatalogEntityContextMenuContext

#### Returns

`Promise`<void>

#### Overrides

CatalogEntity.onContextMenuOpen

### onRun

▸ onRun(): `Promise`<void>

#### Returns

`Promise`<void>

#### Overrides

CatalogEntity.onRun

### onSettingsOpen

▸ onSettingsOpen(): `void`

#### Returns

`void`

#### Overrides

CatalogEntity.onSettingsOpen